Skip to content

Msp Log ​

15 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getAuditLogsForMspGETGet MSP audit log list
getAuditLogSettingForMsp_2GETGet MSP audit log notification
modifyAuditLogSettingMspPATCHModify MSP audit log notification
getLogSettingForMspGETGet MSP log notification (deprecated)
modifyLogSettingMspPATCHModify MSP log notification (deprecated)
getLogSettingForMspV2GETGet MSP log notification v2
modifyLogSettingMspV2PATCHModify MSP log notification v2
getAlertLogsForMspGETGet MSP alert log list
deleteAlertLogsForMspDELETEDelete MSP alert log
resolveAlertForMspPOSTResolve MSP alert log
exportAuditLogListForGlobal_1POSTExport audit log list in MSP view
getEventLogsForMspGETGet MSP event log list
deleteEventLogsForMspDELETEDelete MSP event log
exportLogListForMspPOSTExport log list in MSP view
resetLogSettingMspPOSTReset MSP log notification

getAuditLogsForMsp ​

GET /openapi/v1/msp/{mspId}/audit-logs

Get MSP audit log list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
sorts.timequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.resultqueryintegernoFilter query parameters, support field result,it should be a value as follows: 0: successful; 1: failed,example:0
filters.levelquerystringnoFilter query parameters, support field level,it should be a value as follows: Error; Warning; Information, example:Error
filters.auditTypesquerystringnoFilter query parameters, support field auditTypes, for the values of auditLog type, refer to section 5.2.2 of the Open API Access Guide, example:Log,Cloud Access,User Interface.
filters.timesquerystringnoFilter query parameters, support field times, example:[{"timeStart":1678060800000,"timeEnd":1678665599999}](UrlEncode:%5B%7B%22timeStart%22%3A1678060800000%2C%22timeEnd%22%3A1678665599999%7D%5D).If this parameter is not specified (not included or empty array), the interface will query data within the default time period: [{"timeStart": Current timestamp minus milliseconds of 7 days,"timeEnd": Current timestamp}].
searchKeyquerystringnoFuzzy query parameters, support field content
json
// omada_call_operation
{
  "operationId": "getAuditLogsForMsp"
}
Details, permissions and error codes

Get audit logs in msp audit page.
The interface requires one of the permissions:
MSP Log Manager View Only

getAuditLogSettingForMsp_2 ​

GET /openapi/v1/msp/{mspId}/audit-notification

Get MSP audit log notification

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getAuditLogSettingForMsp_2"
}
Details, permissions and error codes

Get msp audit log notification.
The interface requires one of the permissions:
MSP Log Manager View Only

modifyAuditLogSettingMsp ​

PATCH /openapi/v1/msp/{mspId}/audit-notification

Modify MSP audit log notification

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema AuditLogNotificationSettingEditOpenApiVO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOyes(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
auditLogNotificationsarray<AuditLogNotificationEditOpenApiVO>yesAudit Log Notification List
json
// omada_call_operation
{
  "operationId": "modifyAuditLogSettingMsp",
  "body": "{...}"
}
Details, permissions and error codes

Modify MSP audit log notification.
The interface requires one of the permissions:
MSP Log Manager Modify

getLogSettingForMsp ​

GET /openapi/v1/msp/{mspId}/log-notification

Deprecated

This operation is deprecated.

Get MSP log notification

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getLogSettingForMsp"
}
Details, permissions and error codes

Get msp log notification.This interface has been deprecated.Please use the following interface instead: Get MSP log notification v2.
The interface requires one of the permissions:
MSP Log Manager View Only

modifyLogSettingMsp ​

PATCH /openapi/v1/msp/{mspId}/log-notification

Deprecated

This operation is deprecated.

Modify MSP log notification

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema LogNotificationSettingEditOpenApiVO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOno(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
logNotificationsarray<LogNotificationEditOpenApiVO>yesLog Notification List
alertEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyLogSettingMsp",
  "body": "{...}"
}
Details, permissions and error codes

Modify MSP log notification.This interface has been deprecated.Please use the following interface instead: Modify MSP log notification v2.
The interface requires one of the permissions:
MSP Log Manager Modify

getLogSettingForMspV2 ​

GET /openapi/v1/msp/{mspId}/log-notification-setting

Get MSP log notification v2

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getLogSettingForMspV2"
}
Details, permissions and error codes

Get msp log notification.
The interface requires one of the permissions:
MSP Log Manager View Only

modifyLogSettingMspV2 ​

PATCH /openapi/v1/msp/{mspId}/log-notification-setting

Modify MSP log notification v2

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema LogNotificationSettingEditOpenApiV2VO

FieldTypeRequiredDescription
webhookConfigWebhookConfigEditOpenApiVOno(WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO")
alertNotificationsarray<LogNotificationEditOpenApiV2VO>noAlert Notification List
eventNotificationsarray<LogNotificationEditOpenApiV2VO>noEvent Notification List
alertEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
eventEmailSettingLogAlertEmailOpenApiVOno(LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyLogSettingMspV2",
  "body": "{...}"
}
Details, permissions and error codes

Modify MSP log notification.
The interface requires one of the permissions:
MSP Log Manager Modify

getAlertLogsForMsp ​

GET /openapi/v1/msp/{mspId}/logs/alerts

Get MSP alert log list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.timeStartqueryintegeryesFilter query parameters, support field 1679297710438
filters.timeEndqueryintegeryesFilter query parameters, support field 1681889710438
filters.modulequerystringnoFilter query parameters, support field module, it should be a value as follows: System, Device
filters.resolvedquerybooleannoFilter query parameters, support field resolved, it should be a value as follows: true, false
json
// omada_call_operation
{
  "operationId": "getAlertLogsForMsp",
  "params": {
    "filters.timeStart": "<filters.timeStart>",
    "filters.timeEnd": "<filters.timeEnd>"
  }
}
Details, permissions and error codes

Get logs in MSP alert log page.
The interface requires one of the permissions:
MSP Log Manager View Only

deleteAlertLogsForMsp ​

DELETE /openapi/v1/msp/{mspId}/logs/alerts/delete

Delete MSP alert log

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema DeleteMspAlertLogListOpenApiVO

FieldTypeRequiredDescription
logsarray<string>noSelect the logs to delete; Log ID list can be obtained from 'Get MSP alert log list' interface.
selectTypestringyesSelect type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]').
startTimeintegeryesThe start timeStamp of the delete msp alert log, unit: MS.
endTimeintegeryesThe end timeStamp of the delete msp alert log, unit: MS.
filterModulestringnoThe module of the delete msp alert log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'.
json
// omada_call_operation
{
  "operationId": "deleteAlertLogsForMsp",
  "body": "{...}"
}
Details, permissions and error codes

Delete MSP alert log.
The interface requires one of the permissions:
MSP Log Manager Modify

resolveAlertForMsp ​

POST /openapi/v1/msp/{mspId}/logs/alerts/resolve

Resolve MSP alert log

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema ResolveMspLogListOpenApiVO

FieldTypeRequiredDescription
logsarray<string>noSelect the logs to resolve; Log ID list can be obtained from 'Get MSP alert log list' interface.
selectTypestringyesSelect type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]').
startTimeintegeryesThe start timeStamp of the resolve msp alert log, unit: MS.
endTimeintegeryesThe end timeStamp of the resolve msp alert log, unit: MS.
filterModulestringnoThe module of the resolve msp alert log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'.
json
// omada_call_operation
{
  "operationId": "resolveAlertForMsp",
  "body": "{...}"
}
Details, permissions and error codes

Resolve MSP alert log.
The interface requires one of the permissions:
MSP Log Manager Modify

exportAuditLogListForGlobal_1 ​

POST /openapi/v1/msp/{mspId}/logs/audit/export

Export audit log list in MSP view

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema ExportMspLogOpenApiVO

FieldTypeRequiredDescription
formatintegeryesParameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx.
json
// omada_call_operation
{
  "operationId": "exportAuditLogListForGlobal_1",
  "body": "{...}"
}
Details, permissions and error codes

Export audit log list in MSP view.
The interface requires one of the permissions:
MSP Export Data Access

getEventLogsForMsp ​

GET /openapi/v1/msp/{mspId}/logs/events

Get MSP event log list

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.timeStartqueryintegeryesFilter query parameters, support field 1679297710438
filters.timeEndqueryintegeryesFilter query parameters, support field 1681889710438
filters.modulequerystringnoFilter query parameters, support field module, it should be a value as follows: System, Device
json
// omada_call_operation
{
  "operationId": "getEventLogsForMsp",
  "params": {
    "filters.timeStart": "<filters.timeStart>",
    "filters.timeEnd": "<filters.timeEnd>"
  }
}
Details, permissions and error codes

Get logs in MSP event log page.
The interface requires one of the permissions:
MSP Log Manager View Only

deleteEventLogsForMsp ​

DELETE /openapi/v1/msp/{mspId}/logs/events/delete

Delete MSP event log

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema DeleteMspEventLogListOpenApiVO

FieldTypeRequiredDescription
logsarray<string>noSelect the logs to delete; Log ID list can be obtained from 'Get MSP event log list' interface.
selectTypestringyesSelect type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]').
startTimeintegeryesThe start timeStamp of the delete msp event log, unit: MS.
endTimeintegeryesThe end timeStamp of the delete msp event log, unit: MS.
filterModulestringnoThe module of the delete msp event log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'.
json
// omada_call_operation
{
  "operationId": "deleteEventLogsForMsp",
  "body": "{...}"
}
Details, permissions and error codes

Delete MSP event log.
The interface requires one of the permissions:
MSP Log Manager Modify

exportLogListForMsp ​

POST /openapi/v1/msp/{mspId}/logs/export

Export log list in MSP view

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema ExportMspLogOpenApiVO

FieldTypeRequiredDescription
formatintegeryesParameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx.
json
// omada_call_operation
{
  "operationId": "exportLogListForMsp",
  "body": "{...}"
}
Details, permissions and error codes

Export log list in MSP view.
The interface requires one of the permissions:
MSP Export Data Access

resetLogSettingMsp ​

POST /openapi/v1/msp/{mspId}/reset/log-notification

Reset MSP log notification

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "resetLogSettingMsp"
}
Details, permissions and error codes

Reset MSP log notification.
The interface requires one of the permissions:
MSP Log Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.